<?php



session_start();

date_default_timezone_set('America/Lima');

if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}

require_once ("../../config/Cado.php");



require_once("cVenta.php");

$oVenta = new cVenta();

require_once("cVentapago.php");

$oVentapago = new cVentapago();

require_once ("../ingreso/cIngreso.php");

$oIngreso = new cIngreso();



require_once("../almacen/cAlmacen.php");

$oAlmacen = new cAlmacen();



require_once ("../documento/cDocumento.php");

$oDocumento= new cDocumento();

require_once("../formatos/formato.php");



require_once("../cliente/cCliente.php");

$oCliente = new cCliente();



require ("../../libreriasphp/consultaruc/curl.php");

require ("../../libreriasphp/consultaruc/sunat.php");

$sunat = new Sunat();





require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';



move_uploaded_file($_FILES['file_archivo']['tmp_name'],$_FILES['file_archivo']['name']);



$archivo = $_FILES['file_archivo']['name'];



$inputFileType = PHPExcel_IOFactory::identify($archivo);

$objReader = PHPExcel_IOFactory::createReader($inputFileType);

$objPHPExcel = $objReader->load($archivo);

$sheet = $objPHPExcel->getSheet(0); 

$highestRow = $sheet->getHighestRow(); 

$highestColumn = $sheet->getHighestColumn();



for ($row = 2; $row <= $highestRow; $row++){ 



		$emp = $sheet->getCell("A".$row)->getValue();	

		$emi = $sheet->getCell("B".$row)->getValue();		

		$ven = $sheet->getCell("C".$row)->getValue();		

		$tdoc = $sheet->getCell("D".$row)->getValue();	

		$serie = $sheet->getCell("E".$row)->getValue();			

		$corr = $sheet->getCell("F".$row)->getValue();		

		//$tdoc = $sheet->getCell("G".$row)->getValue();	

		$ruc = $sheet->getCell("H".$row)->getValue();			

		$valven = $sheet->getCell("I".$row)->getValue();	

		$exo = $sheet->getCell("J".$row)->getValue();	

		$igv = $sheet->getCell("L".$row)->getValue();	

		$tot = $sheet->getCell("M".$row)->getValue();	

		$tcambi = $sheet->getCell("N".$row)->getValue();	

		

		$fecemi =  date('Y-m-d',mktime(12,0,0,1, $emi - 1,1900));

		$fecemi1 = str_ireplace(' ','',$fecemi);

		$emi = str_ireplace('/','-',$fecemi1);		

		

		$fecven =  date('Y-m-d',mktime(12,0,0,1, $ven - 1,1900));

		$fecven1 = str_ireplace(' ','',$fecven);

		$ven = str_ireplace('/','-',$fecven1);		

	

		

		//$emprnom = str_ireplace(' ','',$emprnom);

		

		if($emp == 'ID'){

			$empid = 3;

		}else if($emp == 'VF'){

			$empid = 1;

		}else if($emp == 'JV'){

			$empid = 2;

		}

		//echo $emi;

	

	$tdoc = trim($tdoc);	

	$ruc = trim($ruc);	

	

	if($tdoc=='001'){

		

	if($ruc!=""){

	

	$cst1 = $oCliente->verifica_cliente_doc($ruc,0);

	$rst1= mysqli_num_rows($cst1);	

		

	if($rst1>0)

	{

		$dt = mysqli_fetch_array($cst1);

		$cli_id=$dt['tb_cliente_id'];

		mysqli_free_result($cst1);	

	}else{

	

		$vtipod = '6';

		if(strpbrk($vtipod, '016')){

		$ruc = $sunat->autoruc($ruc);

		}

		$data['dat'] = $sunat->BuscaDatosSunat($ruc);

	

		$telefonos =  $data['dat']['Telefonos'];	

		$razonsocial =  $data['dat']['RazonSocial'];

		$direccion =  $data['dat']['Direccion'];

		$ruccli = $ruc;

	

		if($data['dat']['Contacto']!='undefined'){

		$contacto =  $data['dat']['Contacto'];	

		}else{

		$contacto =  $data['dat']['RazonSocial'];

		}

		

		$telefonos = str_ireplace('/ \/ /g','/',$telefonos);

		$telefonos = str_ireplace('/ ','/',$telefonos);

		$telefonos = str_ireplace('/\//g','/',$telefonos);

		

		$clinom = limpia_espacios($razonsocial);

		$clidir	= $direccion;

		$clicont = limpia_espacios($contacto);

		$clinom =  str_ireplace("'"," ",$clinom);

		$clidir =  str_ireplace("'"," ",$clidir);

		$clicont =  str_ireplace("'"," ",$clicont);



		$oCliente->insertar(

				'2',

				limpia_espacios($clinom), 

				$ruccli, 

				limpia_espacios($clicont), 

				$telefonos, 

				''

		);

			

		$dts=$oCliente->ultimoInsert();

		$dt = mysqli_fetch_array($dts);

		$cli_id=$dt['last_insert_id()'];

		mysqli_free_result($dts);

				

	$oCliente->insertardireccionsunat('1',$clidir,$cli_id);	

	}

	

	$dtsc =$oCliente->mostrarUno($cli_id);	

	$dtc = mysqli_fetch_array($dtsc);

	$cliid=$dtc['tb_cliente_id'];

	$clinom=$dtc['tb_cliente_nom'];



	mysqli_free_result($dtsc);	

		

	$cstd = $oCliente->filtrardireccionSunatUno($cli_id);		

	$dtd = mysqli_fetch_array($cstd);

	$clidir=$dtd['tb_clientedireccion_nom'];

	mysqli_free_result($cstd);	

		

		

	

	$numdoc = $serie.'-'.$corr;

	

	

	$dts1=$oAlmacen->mostrarAlmCajEmp($empid);

		$dt1 = mysqli_fetch_array($dts1);

 		$emp=$dt1['tb_empresa_id'];

 		$punven_id=$dt1['tb_puntoventa_id'];

 		$piso_id=$dt1['tb_piso_id'];

 		$almid = $dt1['tb_almacen_id'];

		mysqli_free_result($dts1);

		

		

	

		$rs=$oVenta->insertar(

			fecha_mysql($emi),

			'5',

			$numdoc,

			'1',

			'1',

			$cli_id,

			$clinom,

			$clidir,

			'',

			$valven,

			0,

			$igv,			

			$tot,

			'1',			

			$_SESSION['usuario_id'],

			$_SESSION['usuario_id'],

			$piso_id,

			$empid,

			'',

			0,//tb_venta_gra

			0,//tb_venta_ina

			$exo,//tb_venta_exo

			0,//tb_venta_grat

			0,//tb_venta_isc

			0,

			0,

			0

		);

		

		$dts=$oVenta->ultimoInsert();

 		$dt = mysqli_fetch_array($dts);

 			$ven_id=$dt['last_insert_id()'];

 		mysqli_free_result($dts);

	

	

		$dtsx= $oDocumento->mostrarUno('5');

		$dtx = mysqli_fetch_array($dtsx);

			$doc_nom=$dtx['tb_documento_nom'];

		mysqli_free_result($dtsx);

	

		$ctax=$oIngreso->obtener_cuenta_ingreso();

		$cta = mysqli_fetch_array($ctax);

			$ing_cue_id	=$cta['tb_cuenta_id'];

		mysqli_free_result($ctax);

	

	$_POST['chk_venpag_aut'] = "";

	$_POST['cmb_forpag_id'] = 2;

	// un solo pago

		if ($_POST['chk_venpag_aut']=="")

		{

			$ingreso=0;

			if($_POST['cmb_forpag_id']==1)

			{

				$forma='CONTADO';

				$est=1;

				$ingreso=1;



				if($_POST['cmb_modpag_id']==1)

				{

					$modo='EFECTIVO';

					$caj_id=$punven_caj_id;

				}



				if($_POST['cmb_modpag_id']==2)

				{

					$modo='TARJETA';



					$dts=$oTarjeta->mostrarUno($_POST['cmb_tar_id']);

					$dt = mysqli_fetch_array($dts);

						$tar_nom=$dt['tb_tarjeta_nom'];

						$caj_id=$dt['tb_caja_id'];

					mysqli_free_result($dts);

				}



				if($_POST['cmb_modpag_id']==3)

				{

					$modo='DEPOSITO';

					$dts=$oCuentadeposito->mostrarUno($_POST['cmb_cuedep_id']);

					$dt = mysqli_fetch_array($dts);

						$cuedep_nom	=$dt['tb_cuentadeposito_nom'];

						$caj_id	=$dt['tb_caja_id'];

					mysqli_free_result($dts);

				}

			}

			

			if($_POST['cmb_forpag_id']==2)

			{

				$forma='CREDITO';

				$modo='CREDITO';

				$est=2;

			}



			$rs1=$oVentapago->insertar(

				$_POST['cmb_forpag_id'],

				$_POST['cmb_modpag_id'],

				moneda_mysql($tot),

				$_POST['cmb_tar_id'],

				$_POST['cmb_cuedep_id'],

				$_POST['txt_venpag_numope'],

				$_POST['txt_venpag_numdia'],

				fecha_mysql($emi),

				$est,

				$ven_id

			);



			$dtsvp=$oVentapago->ultimoInsert();

			$dtvp = mysqli_fetch_array($dtsvp);

				$venpag_id=$dtvp['last_insert_id()'];

			mysqli_free_result($dtsvp);

			

		}

	

	

	

	

	

	

	}else{



	}	

	}	

	

	

}



unlink($archivo);



	 $data['com_msj']='Archivo procesado correctamente.';			

	echo json_encode($data);			

?>